# doShinySparkleAnim | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Function doShinySparkleAnim

- doShinySparkleAnim(sparkleSprite: Sprite, variant: Variant ): void

  Play the shiny sparkle animation and sound effect for the given sprite First ensures that the animation has been properly initialized

  #### Parameters

  - sparkleSprite: Sprite

    the Sprite to play the animation on

  - variant: Variant

    which shiny `variant` to play the animation for

  #### Returns void

  - Defined in src/field/anims.ts:208